package com.sinata.download.utils;

import android.util.Log;

import com.sinata.download.BuildConfig;


/**
 * author：Created by ZHT on 2017/11/3 11:34
 * email：526309416@qq.com
 * desc：
 */
public class Logger {

    //设为false关闭日志
    private static final boolean LOG_ENABLE = BuildConfig.DEBUG;
//    private static final boolean LOG_ENABLE = true;

    public static void i(String tag, String msg){
        if (LOG_ENABLE){
            Log.i(tag, msg);
        }
    }
    public static void v(String tag, String msg){
        if (LOG_ENABLE){
            Log.v(tag, msg);
        }
    }
    public static void d(String tag, String msg){
        if (LOG_ENABLE){
            Log.d(tag, msg);
        }
    }
    public static void w(String tag, String msg){
        if (LOG_ENABLE){
            Log.w(tag, msg);
        }
    }
    public static void e(String tag, String msg){
        if (LOG_ENABLE){
            Log.e(tag, msg);
        }
    }

}
